
singleton Material(midsize)
{
    mapTo = "midsize";
    diffuseMap[2] = "vehicles/midsize/midsize_c.dds";
    specularMap[2] = "vehicles/midsize/midsize_s.dds";
    normalMap[2] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/midsize_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_interior)
{
    mapTo = "midsize_interior";
    reflectivityMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_interior_n.dds";
    reflectivityMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_interior_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_interior.skin_interior.brown")
{
    mapTo = "midsize_interior.skin_interior.brown";
    reflectivityMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_interior_n.dds";
    reflectivityMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_interior_n.dds";
    diffuseColor[1] = "0.55 0.45 0.35 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_interior.skin_interior.black")
{
    mapTo = "midsize_interior.skin_interior.black";
    reflectivityMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_interior_n.dds";
    reflectivityMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_interior_n.dds";
    diffuseColor[1] = "0.25 0.25 0.25 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_interior.skin_interior.beige")
{
    mapTo = "midsize_interior.skin_interior.beige";
    reflectivityMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[1] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_interior_n.dds";
    reflectivityMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_interior_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_interior_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_interior_n.dds";
    diffuseColor[1] = "0.55 0.5 0.45 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_seats.skin_interior.brown")
{
    mapTo = "midsize_seats.skin_interior.brown";
    diffuseMap[0] = "vehicles/midsize/midsize_seats_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.55 0.45 0.35 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_seats.skin_interior.black")
{
    mapTo = "midsize_seats.skin_interior.black";
    diffuseMap[0] = "vehicles/midsize/midsize_seats_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.25 0.25 0.25 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("midsize_seats.skin_interior.beige")
{
    mapTo = "midsize_seats.skin_interior.beige";
    diffuseMap[0] = "vehicles/midsize/midsize_seats_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.55 0.5 0.45 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_seats)
{
    mapTo = "midsize_seats";
    diffuseMap[0] = "vehicles/midsize/midsize_seats_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_seats_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.5 0.5 0.5 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_gauges)
{
    mapTo = "midsize_gauges";
    diffuseMap[0] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(midsize_gauges_on)
{
    mapTo = "midsize_gauges_on";
    diffuseMap[1] = "vehicles/midsize/midsize_gauges_g.dds";
    specularMap[1] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[1] = "vehicles/midsize/midsize_gauges_n.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_gauges_d.dds";
    specularMap[0] = "vehicles/midsize/midsize_gauges_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.8 1.1 0.7";
};

singleton Material(ibishu_v6)
{
    mapTo = "ibishu_v6";
    diffuseMap[1] = "vehicles/midsize/ibishu_v6_d.dds";
    specularMap[1] = "vehicles/midsize/ibishu_v6_s.dds";
    normalMap[1] = "vehicles/midsize/ibishu_v6_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/midsize/ibishu_v6_s.dds";
    normalMap[0] = "vehicles/midsize/ibishu_v6_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_glass)
{
    mapTo = "midsize_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_d.dds";
    opacityMap[0] = "vehicles/midsize/midsize_glass_d.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_glass_int)
{
    mapTo = "midsize_glass_int";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_glass_dmg)
{
    mapTo = "midsize_glass_dmg";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_windshield_dmg)
{
    mapTo = "midsize_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights)
{
    mapTo = "midsize_lights";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights_on)
{
    mapTo = "midsize_lights_on";
	diffuseMap[2] = "vehicles/midsize/midsize_lights_g.dds";
	diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
	emissive[1] = "1";
	emissive[2] = "1";
	glow[1] = "0";
	glow[2] = "1";
    translucentBlendOp = "None";
	
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lights_on_intense)
{
    mapTo = "midsize_lights_on_intense";
	diffuseMap[2] = "vehicles/midsize/midsize_lights_g.dds";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	emissive[2] = "1";
	emissive[1] = "1";
	glow[1] = "1";
	glow[2] = "1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




singleton Material(midsize_lights_dmg)
{
    mapTo = "midsize_lights_dmg";
    diffuseMap[1] = "vehicles/midsize/midsize_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/midsize/midsize_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/midsize/midsize_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers)
{
    mapTo = "midsize_lightcovers";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    //specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/common/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "0";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers_on)
{
    mapTo = "midsize_lightcovers_on";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    //specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/common/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	emissive[0] = "0";
	emissive[1] = "0";
	glow[0] = "0";
	glow[1] = "0";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
	translucentBlendOp = "lerpAlpha";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lightcovers_on_intense)
{
    mapTo = "midsize_lightcovers_on_intense";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_d.dds";
    //specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/common/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	emissive[0] = "0";
	emissive[1] = "0";
	glow[0] = "0";
	glow[1] = "0";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
	translucentBlendOp = "addAlpha";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(midsize_lightcovers_dmg)
{
    mapTo = "midsize_lightcovers_dmg";
    reflectivityMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_r.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_d.dds";
    //specularMap[0] = "vehicles/common/null_s.dds";
    diffuseMap[1] = "vehicles/common/invisible.dds";
    specularMap[1] = "vehicles/common/null.dds";
	normalMap[0] = "vehicles/midsize/midsize_lightcovers_dmg_n.dds";
	normalMap[1] = "vehicles/midsize/midsize_lightcovers_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
	doubleSided = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(midsize_lettering)
{
    mapTo = "midsize_lettering";
    specularMap[0] = "vehicles/midsize/midsize_lettering_s.dds";
    normalMap[0] = "vehicles/midsize/midsize_lettering_n.dds";
    diffuseMap[0] = "vehicles/midsize/midsize_lettering_d.dds";
    reflectivityMap[0] = "vehicles/midsize/midsize_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(midsize_reverselight)
{
    mapTo = "midsize_reverselight";
};

singleton Material(midsize_reverselightcover)
{
    mapTo = "midsize_reverselightcover";
};

singleton Material(midsize_signal_R)
{
    mapTo = "midsize_signal_R";
};

singleton Material(midsize_signal_L)
{
    mapTo = "midsize_signal_L";
};

singleton Material(midsize_signalcover_L)
{
    mapTo = "midsize_signalcover_L";
};

singleton Material(midsize_signalcover_R)
{
    mapTo = "midsize_signalcover_R";
};

singleton Material(midsize_signal_L_R)
{
    mapTo = "midsize_signal_L_R";
};

singleton Material(midsize_signal_R_R)
{
    mapTo = "midsize_signal_R_R";
};

singleton Material(midsize_lowbeam)
{
    mapTo = "midsize_lowbeam";
};

singleton Material(midsize_headlight)
{
    mapTo = "midsize_headlight";
};

singleton Material(midsize_parkinglight)
{
    mapTo = "midsize_parkinglight";
};

singleton Material(midsize_chmsl)
{
    mapTo = "midsize_chmsl";
};

singleton Material(midsize_chmslcover)
{
    mapTo = "midsize_chmslcover";
};

singleton Material(midsize_taillightcover_L)
{
    mapTo = "midsize_taillightcover_L";
};

singleton Material(midsize_taillightcover_R)
{
    mapTo = "midsize_taillightcover_R";
};

singleton Material(midsize_taillight_L)
{
    mapTo = "midsize_taillight_L";
};

singleton Material(midsize_taillight_R)
{
    mapTo = "midsize_taillight_R";
};

singleton Material(midsize_headlightcover)
{
    mapTo = "midsize_headlightcover";
};